/*
	Grep.h - Grep-Wc header file
*/

# include	<ControlMgr.h>
# include	<MenuMgr.h>
# include	<TextEdit.h>
# include	<pascal.h>

# define	nil			(0L)
# define	bufSiz		512
# define	monaco		4


typedef enum	/*  menu item numbers  */
{
	about = 1,
	/* --- */
	count = 3,
	search,
	setPattern,
	saveOutput
};


typedef enum		/* resource offsets from resource base number */
{
	aboutBox = 0,
	alarmBox,
	patBox
};


typedef enum	/* input file types */
{
	text,		/* text file */
	mwrt3,		/* MacWrite 2.2 (version 3) */
	mwrt6		/* MacWrite 4.5 (version 6) */
};


extern WindowPtr	theWind;
extern MenuHandle	theMenu;
extern TEHandle		teHand;
extern int			streamType;
extern Boolean		fileOpen;	/* whether output file is open */
extern int			outFile;	/* output file reference number */

extern int			resBase;	/* base DA resource number */
extern Boolean		prtMatches;	/* true: print lines w/pattern */
extern Boolean		prtLineNum;	/* print line numbers if true */
extern Boolean		ignoreCase;	/* ignore letter case if true */
extern Boolean		havePat;	/* whether have good pattern or not */

extern Boolean		grepping;		/* true if currently searching */
extern Boolean		paused;			/* true if pause button was hit */

extern ControlHandle	pauseCtl;
extern ControlHandle	cancelCtl;

extern char			rawPattern[bufSiz];	/* pattern user types in */


/*
	Stream input defines.
*/

/* functions returning non-integer values */

OSErr		OpenStream ();
StringPtr	StreamGetS ();
Boolean		GetStream ();
